Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-10891

puppet_agent : fail to upgrade from 5 to 6 if you don't purge yum cache

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Accepted
    • Priority: Normal
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: puppet_agent
    • Labels:
    • Environment:

       

      CentOS 7 with puppet 5 updating to 6

    • Template:
      MODULES Bug Template
    • Team:
      Night's Watch
    • Method Found:
      Needs Assessment
    • QA Risk Assessment:
      Needs Assessment

      Description

      Basic Info
      Module Version: 4.2.0 puppet_agent
      Puppet Version: 5.5.22-1.el7
      OS Name/Version: CentOS 7

      It fails when applying this class:

      'Redhat': {
       class {'puppet_agent':
       package_version => '6.19.1',
       manage_repo => true,
       collection => 'puppet6',
       }

       

      if I don't do 

      yum clean all

       

      Desired Behavior: Upgrade to puppet 6

      Actual Behavior:

      Error: Could not update: Failed to update to version 6.19.1, got version 5.5.22-1.el7 instead
       Error: /Stage[main]/Puppet_agent::Install/Package[puppet-agent]/ensure: change from '5.5.22-1.el7' to '6.19.1' failed: Could not update: Failed to update to version 6.19.1, got version 5.5.22-1.el7 instead

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            moscardo Josep
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:

                Zendesk Support